/* Budget Overview Container */
.budget-overview {
  padding: 4rem 0;
  margin-bottom: 2rem;
}

/* Budget Overview Title */
.budget-overview h2 {
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--color-black);
  margin-bottom: 2rem;
}

/* Budget Overview Buttons Container */
.budget-overview-buttons {
  display: flex;
  gap: 1.5rem;
  flex-wrap: wrap;
}

@media (max-width: 768px) {
  .budget-overview-buttons {
    flex-direction: column;
  }
}

/* Budget Overview Button */
.budget-overview-button {
  display: flex;
  flex: 1;
  min-width: 200px;
  padding: 1rem 1rem;
  background-color: var(--color-white);
  color: var(--color-black);
  font-weight: 600;
  text-decoration: none;
  font-size: 1.5rem;
  line-height: 1.25;
  text-align: left;
  border: 1px solid var(--color-black);
  position: relative;
  transition: all 0.2s ease;
  background-image: url('../../../images/arrow-right-light-green.svg');
  background-position: bottom 0.75rem right 0.75rem;
  background-repeat: no-repeat;
  background-size: 36px 36px;
  height: 150px;
  align-items: flex-start;
}

.budget-overview-button::before {
  content: '';
  position: absolute;
  bottom: -8px;
  height: 8px;
  width: 100%;
  left: 4px;
  transform: skewX(45deg);
  background-color: var(--color-black);
  transition: all 0.2s ease;
}

.budget-overview-button::after {
  content: '';
  position: absolute;
  right: -8px;
  height: 101%;
  width: 8px;
  bottom: -4px;
  transform: skewY(45deg);
  background-color: var(--color-black);
  transition: all 0.2s ease;
}

/* Budget Overview Button Hover Effect */
.budget-overview-button:hover {
  transform: translate(4px, 4px);
}

.budget-overview-button:hover::before {
  bottom: -4px;
  height: 4px;
  left: 1px;
}

.budget-overview-button:hover::after {
  right: -4px;
  width: 4px;
  bottom: -3px;
  height: 101%;
}

@media (max-width: 768px) {
  .budget-overview-button {
    flex: none;
    width: 100%;
  }
}
